Subject: bug#55798: font-lock-fontify-syntactically-region uses point without initializing it.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 05 Jun 2022 21:07:30 +0200

Alan Mackenzie <[email-masked]> writes:

> Er, yes, it will.  Somehow I didn't know that syntax-ppss did that.

The doc string doesn't mention point movements at all, and perhaps it
should?  Hm...  reading the code now, and I'm not quite sure whether
it's guaranteed to do so or not, really, so perhaps there is a bug here
in some cases.  I've added Stefan to the CCs; perhaps he has a comment
here.

> Sorry for the false bug report.  I'll close it as notabug (assuming you
> haven't done this already.)

No, haven't done so.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no